@echo off
REM
REM  OmniBook Port Replicator Installation Disk -- January, 1995
REM

a:
cd \

:start
set biosprog=xxxxxxxx
set bioslang=xxxxxxxx

:dosbox
dosbox.com
if not errorlevel 1 goto hp600
echo.
echo English:  Exit Windows, then run A:\INSTALL.
echo Deutsch:  Erst Windows beenden, dann A:\INSTALL starten.
echo Francais: Quittez Windows, puis entrez A:\INSTALL.
echo Italiano: Salga de Windows, entonces ejecute A:\INSTALL
echo Espanol:  Uscire da Windows e poi eseguire A:\INSTALL.
echo.
pause
goto end


:hp600
hp600.com
if not errorlevel 1 goto unknown

:bios310
bios310.com
if not errorlevel 1 goto bios311
set biosprog=yes
goto lang

:bios311
bios311.com
if not errorlevel 1 goto unknown

:date311
set biosprog=no
biosdate.com 01/20/95
if errorlevel 1 set biosprog=yes

:lang
bioslang.com
if not errorlevel 1 goto unknown
if errorlevel 1 set bioslang=english
if errorlevel 2 set bioslang=francais
if errorlevel 3 set bioslang=deutsch
if errorlevel 4 set bioslang=italiano
if errorlevel 5 set bioslang=espanol
if errorlevel 6 goto unknown

:scsi
set path=c:\dos
call scsi\scsi.bat
:dock
call dock\dock.bat
copy reboot.com c:\dos
:bios
if %biosprog%==no c:\scsi\dockmode 1

bios\bios.bat

:fail
echo.
echo ERROR: Unknown system.
echo.

:end
